%define		emacsver	20.7
%define		lispdir		%{_datadir}/emacs/site-lisp

Name:		apel
Version:	10.7
Release:	3%{?dist}
License:	GPLv2+
URL:		http://cvs.m17n.org/elisp/APEL/index.en.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildArch:	noarch
Source0:	http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/apel/%{name}-%{version}.tar.gz
Patch0: 	APEL-CFG.patch
Patch1:		apel-10.4-missing-el.patch

Summary:	A Portable Emacs Library
Group:   	Applications/Editors
Buildrequires:  emacs
Requires:	emacs-common

%description
APEL stands for "A Portable Emacs Library". It consists of
following modules:

poe.el - This is an emulation module mainly for basic
functions and special forms/macros of latest emacsen.
poem.el - This module provides basic functions to write
portable MULE programs.
pces.el - This module provides portable character encoding
scheme (coding-system) features.
invisible.el - This modules provides features about invisible
region.
mcharset.el - This modules provides MIME charset related
features.

and other some utility modules


%prep
%setup -q
%patch0 -p1 -b .cfg
%patch1 -p1 -b .missing

%build


%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LISPDIR=$RPM_BUILD_ROOT%{lispdir} install
##	VERSION_SPECIFIC_LISPDIR=$RPM_BUILD_ROOT%{lispdir} \

make clean


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README.ja README.en ChangeLog
%{lispdir}/apel


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  1 2008 Akira TAGOH <tagoh@redhat.com> - 10.7-2
- Update the spec file.

* Wed Aug  8 2007 Akira TAGOH <tagoh@redhat.com> - 10.7-1
- New upstream release.
- Update License tag.

* Fri Sep 15 2006 Akira TAGOH <tagoh@redhat.com> - 10.6-9
- rebuilt

* Wed Jul 20 2005 Akira TAGOH <tagoh@redhat.com> - 10.6-8.fc5
- Disabled apel-xemacs package to avoid a chicken-egg problem.

* Tue Jul 19 2005 Akira TAGOH <tagoh@redhat.com> - 10.6-7.fc5
- Import into Extras.

* Tue Feb 22 2005 Elliot Lee <sopwith@redhat.com> 10.6-6
- Remove xemacs

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-5
- require emacs-common instead of emacs.

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-4
- require xemacs-common instead of xemacs. (#134479)

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-3
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jul 07 2003 Akira TAGOH <tagoh@redhat.com> 10.6-1
- New upstream release.

* Wed May 14 2003 Akira TAGOH <tagoh@redhat.com> 10.4-4
- apel-10.4-missing-el.patch: contains atype.el and file-detect.el (#90604)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Jens Petersen <petersen@redhat.com> 10.4-2
- rebuild

* Wed Jan  1 2003 Jens Petersen <petersen@redhat.com> 10.4-1
- update to 10.4
- resurrect -xemacs subpackage, required by latest xemacs package
- install xemacs package under datadir
- own xemacs package lisp dir

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 10.3-8
- rebuild

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 10.3-7
- s/Copyright/License/
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Feb 24 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- apel-xemacs removed because XEmacs already includes it.
- made "emu" modules installed in apel/ subdirectory

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- initial release (separated from semi)
